PHPExcel_Reader_Excel2007_Theme

category | PHPExcel
package | PHPExcel_Reader_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Theme

    __construct($themeName, $colourSchemeName, $colourMap)

### Parameters

#### $themeName

#### $colourSchemeName

#### $colourMap

## Get colour Map Value by Position

    getColourByIndex($index) : string

### Parameters

#### $index

### Returns

`string`

## Get colour Scheme Name

    getColourSchemeName() : string

### Returns

`string`

## Get Theme Name

    getThemeName() : string

### Returns

`string`

### Properties

##

    $_colourMap : array

##

    $_colourMapValues : array

##

    $_colourSchemeName : string

##

    $_themeName : string